cURL
curl --request PUT \
--url https://api.invopop.com/transform/v1/jobs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflow_id": "<string>",
"args": {},
"data": {},
"key": "<string>",
"silo_entry_id": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://api.invopop.com/transform/v1/jobs/{id}"
payload = {
"workflow_id": "<string>",
"args": {},
"data": {},
"key": "<string>",
"silo_entry_id": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workflow_id: '<string>',
args: {},
data: {},
key: '<string>',
silo_entry_id: '<string>',
tags: ['<string>']
})
};
fetch('https://api.invopop.com/transform/v1/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/transform/v1/jobs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'workflow_id' => '<string>',
'args' => [
],
'data' => [
],
'key' => '<string>',
'silo_entry_id' => '<string>',
'tags' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/transform/v1/jobs/{id}"
payload := strings.NewReader("{\n \"workflow_id\": \"<string>\",\n \"args\": {},\n \"data\": {},\n \"key\": \"<string>\",\n \"silo_entry_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.invopop.com/transform/v1/jobs/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workflow_id\": \"<string>\",\n \"args\": {},\n \"data\": {},\n \"key\": \"<string>\",\n \"silo_entry_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/transform/v1/jobs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workflow_id\": \"<string>\",\n \"args\": {},\n \"data\": {},\n \"key\": \"<string>\",\n \"silo_entry_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"args": {},
"attachments": [
{
"category": "version",
"desc": "My file description.",
"hash": "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad",
"id": "b564ff94-7823-4f54-975e-280feb38df3f",
"key": "pdf",
"meta": {},
"mime": "application/pdf",
"name": "my-file.pdf",
"size": 12345,
"url": "<string>"
}
],
"completed_at": "<string>",
"created_at": "<string>",
"envelope": {},
"faults": [
{
"code": "<string>",
"message": "<string>",
"provider": "pdf"
}
],
"id": "5b45453c-cdd0-11ed-afa1-0242ac120002",
"intents": [
{
"completed": true,
"created_at": "<string>",
"events": [
{
"args": {},
"at": "2021-09-15T15:04:05.999Z",
"code": "<string>",
"index": 0,
"message": "<string>",
"silo_entry_id": "<string>",
"status": "ERR"
}
],
"id": "b564ff94-7823-4f54-975e-280feb38df3f",
"name": "PDF Generation",
"provider": "pdf",
"step_id": "8d49556b-ff63-477b-9cd3-32c986c1c77b",
"updated_at": "<string>"
}
],
"key": "<string>",
"silo_entry_id": "75fa764a-cdd0-11ed-afa1-0242ac120002",
"status": "<string>",
"tags": [
"<string>"
],
"updated_at": "<string>",
"workflow_id": "186522a6-e697-4e34-8498-eee961bcb845"
}{
"args": {},
"attachments": [
{
"category": "version",
"desc": "My file description.",
"hash": "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad",
"id": "b564ff94-7823-4f54-975e-280feb38df3f",
"key": "pdf",
"meta": {},
"mime": "application/pdf",
"name": "my-file.pdf",
"size": 12345,
"url": "<string>"
}
],
"completed_at": "<string>",
"created_at": "<string>",
"envelope": {},
"faults": [
{
"code": "<string>",
"message": "<string>",
"provider": "pdf"
}
],
"id": "5b45453c-cdd0-11ed-afa1-0242ac120002",
"intents": [
{
"completed": true,
"created_at": "<string>",
"events": [
{
"args": {},
"at": "2021-09-15T15:04:05.999Z",
"code": "<string>",
"index": 0,
"message": "<string>",
"silo_entry_id": "<string>",
"status": "ERR"
}
],
"id": "b564ff94-7823-4f54-975e-280feb38df3f",
"name": "PDF Generation",
"provider": "pdf",
"step_id": "8d49556b-ff63-477b-9cd3-32c986c1c77b",
"updated_at": "<string>"
}
],
"key": "<string>",
"silo_entry_id": "75fa764a-cdd0-11ed-afa1-0242ac120002",
"status": "<string>",
"tags": [
"<string>"
],
"updated_at": "<string>",
"workflow_id": "186522a6-e697-4e34-8498-eee961bcb845"
}Jobs
Create a job with a UUID
Create a new job with the given ID.
PUT
/
transform
/
v1
/
jobs
/
{id}
cURL
curl --request PUT \
--url https://api.invopop.com/transform/v1/jobs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflow_id": "<string>",
"args": {},
"data": {},
"key": "<string>",
"silo_entry_id": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://api.invopop.com/transform/v1/jobs/{id}"
payload = {
"workflow_id": "<string>",
"args": {},
"data": {},
"key": "<string>",
"silo_entry_id": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workflow_id: '<string>',
args: {},
data: {},
key: '<string>',
silo_entry_id: '<string>',
tags: ['<string>']
})
};
fetch('https://api.invopop.com/transform/v1/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/transform/v1/jobs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'workflow_id' => '<string>',
'args' => [
],
'data' => [
],
'key' => '<string>',
'silo_entry_id' => '<string>',
'tags' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/transform/v1/jobs/{id}"
payload := strings.NewReader("{\n \"workflow_id\": \"<string>\",\n \"args\": {},\n \"data\": {},\n \"key\": \"<string>\",\n \"silo_entry_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.invopop.com/transform/v1/jobs/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workflow_id\": \"<string>\",\n \"args\": {},\n \"data\": {},\n \"key\": \"<string>\",\n \"silo_entry_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/transform/v1/jobs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workflow_id\": \"<string>\",\n \"args\": {},\n \"data\": {},\n \"key\": \"<string>\",\n \"silo_entry_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"args": {},
"attachments": [
{
"category": "version",
"desc": "My file description.",
"hash": "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad",
"id": "b564ff94-7823-4f54-975e-280feb38df3f",
"key": "pdf",
"meta": {},
"mime": "application/pdf",
"name": "my-file.pdf",
"size": 12345,
"url": "<string>"
}
],
"completed_at": "<string>",
"created_at": "<string>",
"envelope": {},
"faults": [
{
"code": "<string>",
"message": "<string>",
"provider": "pdf"
}
],
"id": "5b45453c-cdd0-11ed-afa1-0242ac120002",
"intents": [
{
"completed": true,
"created_at": "<string>",
"events": [
{
"args": {},
"at": "2021-09-15T15:04:05.999Z",
"code": "<string>",
"index": 0,
"message": "<string>",
"silo_entry_id": "<string>",
"status": "ERR"
}
],
"id": "b564ff94-7823-4f54-975e-280feb38df3f",
"name": "PDF Generation",
"provider": "pdf",
"step_id": "8d49556b-ff63-477b-9cd3-32c986c1c77b",
"updated_at": "<string>"
}
],
"key": "<string>",
"silo_entry_id": "75fa764a-cdd0-11ed-afa1-0242ac120002",
"status": "<string>",
"tags": [
"<string>"
],
"updated_at": "<string>",
"workflow_id": "186522a6-e697-4e34-8498-eee961bcb845"
}{
"args": {},
"attachments": [
{
"category": "version",
"desc": "My file description.",
"hash": "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad",
"id": "b564ff94-7823-4f54-975e-280feb38df3f",
"key": "pdf",
"meta": {},
"mime": "application/pdf",
"name": "my-file.pdf",
"size": 12345,
"url": "<string>"
}
],
"completed_at": "<string>",
"created_at": "<string>",
"envelope": {},
"faults": [
{
"code": "<string>",
"message": "<string>",
"provider": "pdf"
}
],
"id": "5b45453c-cdd0-11ed-afa1-0242ac120002",
"intents": [
{
"completed": true,
"created_at": "<string>",
"events": [
{
"args": {},
"at": "2021-09-15T15:04:05.999Z",
"code": "<string>",
"index": 0,
"message": "<string>",
"silo_entry_id": "<string>",
"status": "ERR"
}
],
"id": "b564ff94-7823-4f54-975e-280feb38df3f",
"name": "PDF Generation",
"provider": "pdf",
"step_id": "8d49556b-ff63-477b-9cd3-32c986c1c77b",
"updated_at": "<string>"
}
],
"key": "<string>",
"silo_entry_id": "75fa764a-cdd0-11ed-afa1-0242ac120002",
"status": "<string>",
"tags": [
"<string>"
],
"updated_at": "<string>",
"workflow_id": "186522a6-e697-4e34-8498-eee961bcb845"
}Use this endpoint to execute a workflow with a specific time-based UUID, v7 or v1.
If the
key property is provided, it will be checked for uniqueness within the current workspace and is valid for up to 2 years.
A job takes its input from these fields:
silo_entry_id(preferred): the entry to process. Can be combined withargs.data: raw GOBL, stored as a new silo entry before processing. Only used when the job has neithersilo_entry_idnorargs, and ignored otherwise.args: key-value pairs passed to the workflow’s steps. Withoutsilo_entry_id, the workflow’s first steps must create the entry, as in import workflows.
wait, the response is 202 Accepted with the job’s initial state (status: "NA" and no intents yet); poll fetch a job until completed_at is set, or better, add a webhook step to the workflow. The wait query parameter can cause the server to block the incoming HTTP request and wait for up to the specified number of seconds. If the job completes within that time the response is 200 OK with the finished job, including its intents, faults and attachments; otherwise the 202 response is returned as usual. Typically, a workflow executes in under a second, but some actions may take longer. We recommend using the wait query parameter only in sandbox or testing environments, as workflows can sometimes exceed expected durations due to network failures or other temporary issues.
Arguments (args) are composed of string key-value pairs tailored to specific applications. Binary data can be included using Data URIs (data:), which must specify the content type and include a name parameter. For example: data:text/plain;name=example.txt;base64,ZGF0YQ==. Any data provided via this method will be automatically uploaded to the Silo Spool service and will remain accessible only through tokens issued for the corresponding workspace.Authorizations
Path Parameters
Query Parameters
Only for testing. Maximum number of seconds to block the http request waiting for the job to complete. When the job finishes within this time the response is 200 OK with the complete job; otherwise 202 Accepted is returned with the job's initial state. Do not use this in production.
Example:
60
Body
application/json
Response
OK. Returned only when the wait parameter was provided and the job completed in time; the body is the finished job with its intents, faults and attachments.
Was this page helpful?